ApiHBaseReplicationSetupCommandArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHBaseReplicationSetupCommandArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseReplicationSetupCommandArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHBaseReplicationSetupCommandArgs
      extends Object

  Command args for HBaseReplicationSetupCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseReplicationSetupCommandArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseReplicationSetupCommandArgs` | `cmPeerNameOnRemote(String cmPeerNameOnRemote)`
    `boolean` | `equals(Object o)`
    `String` | `getCmPeerNameOnRemote()` The peer name of the local CM in the given sourceRef CM
    `String` | `getKeystorePassword()`
    `String` | `getReplicationUser()`
    `ApiServiceRef` | `getSourceRef()`
    `RestartType` | `getSourceRestartType()`
    `RestartType` | `getTargetRestartType()`
    `int` | `hashCode()`
    `ApiHBaseReplicationSetupCommandArgs` | `keystorePassword(String keystorePassword)`
    `ApiHBaseReplicationSetupCommandArgs` | `replicationUser(String replicationUser)`
    `void` | `setCmPeerNameOnRemote(String cmPeerNameOnRemote)`
    `void` | `setKeystorePassword(String keystorePassword)`
    `void` | `setReplicationUser(String replicationUser)`
    `void` | `setSourceRef(ApiServiceRef sourceRef)`
    `void` | `setSourceRestartType(RestartType sourceRestartType)`
    `void` | `setTargetRestartType(RestartType targetRestartType)`
    `ApiHBaseReplicationSetupCommandArgs` | `sourceRef(ApiServiceRef sourceRef)`
    `ApiHBaseReplicationSetupCommandArgs` | `sourceRestartType(RestartType sourceRestartType)`
    `ApiHBaseReplicationSetupCommandArgs` | `targetRestartType(RestartType targetRestartType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseReplicationSetupCommandArgs

          public ApiHBaseReplicationSetupCommandArgs()

  - ### Method Detail

    - #### keystorePassword

          public ApiHBaseReplicationSetupCommandArgs keystorePassword(String keystorePassword)

    - #### getKeystorePassword

          public String getKeystorePassword()

      Returns:
        keystorePassword

    - #### setKeystorePassword

          public void setKeystorePassword(String keystorePassword)

    - #### replicationUser

          public ApiHBaseReplicationSetupCommandArgs replicationUser(String replicationUser)

    - #### getReplicationUser

          public String getReplicationUser()

      Returns:
        replicationUser

    - #### setReplicationUser

          public void setReplicationUser(String replicationUser)

    - #### sourceRef

          public ApiHBaseReplicationSetupCommandArgs sourceRef(ApiServiceRef sourceRef)

    - #### getSourceRef

          public ApiServiceRef getSourceRef()

      Returns:
        sourceRef

    - #### setSourceRef

          public void setSourceRef(ApiServiceRef sourceRef)

    - #### cmPeerNameOnRemote

          public ApiHBaseReplicationSetupCommandArgs cmPeerNameOnRemote(String cmPeerNameOnRemote)

    - #### getCmPeerNameOnRemote

          public String getCmPeerNameOnRemote()

      The peer name of the local CM in the given sourceRef CM
      Returns:
        cmPeerNameOnRemote

    - #### setCmPeerNameOnRemote

          public void setCmPeerNameOnRemote(String cmPeerNameOnRemote)

    - #### sourceRestartType

          public ApiHBaseReplicationSetupCommandArgs sourceRestartType(RestartType sourceRestartType)

    - #### getSourceRestartType

          public RestartType getSourceRestartType()

      Returns:
        sourceRestartType

    - #### setSourceRestartType

          public void setSourceRestartType(RestartType sourceRestartType)

    - #### targetRestartType

          public ApiHBaseReplicationSetupCommandArgs targetRestartType(RestartType targetRestartType)

    - #### getTargetRestartType

          public RestartType getTargetRestartType()

      Returns:
        targetRestartType

    - #### setTargetRestartType

          public void setTargetRestartType(RestartType targetRestartType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.